# Class CIM_MetricDefinition
extends CIM_BaseMetricDefinition

The metrics that are associated with a UnitOfWork. These metrics usually describe some aspect of a UnitOfWork such as how much work was done, or the size of the UnitOfWork. For example, the size of a print job or the number of pages printed could be metrics of a 'print' UnitOfWork.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_BaseMetricDefinition
|
+--CIM_MetricDefinition

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The metrics that are associated with a UnitOfWork. These metrics usually describe some aspect of a UnitOfWork such as how much work was done, or the size of the UnitOfWork. For example, the size of a print job or the number of pages printed could be metrics of a 'print' UnitOfWork.
UMLPackagePath | string | CIM::Metrics::UnitOfWork
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Id | string |
Description | string | A 16 byte value that uniquely identifies the Metric Definition. The use of OSF UUID/GUIDs is recommended.
Key | boolean | true
MaxLen | uint32 | 16
Override | string | Id
Validity | uint16 |

Description

string

An enumerated value describing when the Metric may be considered valid. Some metrics are valid only at the beginning of a transaction (e.g., bytes to print), while the transaction is running (e.g., percent complete), or when the transaction is finished (e.g., pages printed). If a metric is valid at more than one of the enumerated values, such as both when the unit of work starts and when it stops, it is recommended to not use Validity.

ValueMap | string | 1, 2, 3
Values | string | At Start, In Middle, At Stop

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Calculable | uint16 | CIM_BaseMetricDefinition
Caption | string | CIM_ManagedElement
ChangeType | uint16 | CIM_BaseMetricDefinition
DataType | uint16 | CIM_BaseMetricDefinition
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
GatheringType | uint16 | CIM_BaseMetricDefinition
InstanceID | string | CIM_ManagedElement
IsContinuous | boolean | CIM_BaseMetricDefinition
Name | string | CIM_BaseMetricDefinition
ProgrammaticUnits | string | CIM_BaseMetricDefinition
TimeScope | uint16 | CIM_BaseMetricDefinition
Units | string | CIM_BaseMetricDefinition
BreakdownDimensions | string[] | CIM_BaseMetricDefinition

## Class Methods